# MSM6258 instrument editor

the MSM6258 instrument editor contains two tabs: Sample and Macros.

## Sample

for sample settings, see [the Sample instrument editor](sample.md).

note that samples on MSM6258 are tied to one frequency.

## Macros

- **Frequency Divider**: selects the frequency divider for the output.
  - `0`: divide by 512.
  - `1`: divide by 768.
  - `2`: divide by 1024.
- **Panning**: toggle left/right output.
- **Phase Reset**: trigger restart of sample.
- **Clock Divider**: clock divider sequence. when it is 1, the clock is divided by half.
